package org.jtheque.core.managers.log;

/**
 * A JTheque Logger.
 *
 * @author Baptiste Wicht
 */
public interface IJThequeLogger {
    /**
     * Log a message.
     *
     * @param message The message to log.
     */
    void message(String message);

    /**
     * Log an exception.
     *
     * @param e The exception to log
     */
    void exception(Throwable e);

    /**
     * Log a message of level debug.
     *
     * @param message The message to log
     */
    void debug(String message);

    /**
     * Log a message of level trace.
     *
     * @param message The message to log
     */
    void trace(String message);

    /**
     * Log a message of level fatal.
     *
     * @param message The message to log
     */
    void fatal(String message);

    /**
     * Log a message of level error.
     *
     * @param message The message to log
     */
    void error(String message);

    /**
     * Log a message of level warning.
     *
     * @param message The message to log
     */
    void warn(String message);

    /**
     * Log a message and an exception with error level. 
     * 
     * @param message The message to log. 
     * @param e The exception to log. 
     */
    void error(String message, Exception e);
}
