package org.jtheque.core.managers.persistence.able;

import org.jtheque.core.managers.persistence.Entity;

import javax.annotation.PreDestroy;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * An abstract data container. 
 * 
 * @author Baptiste Wicht
 */
public abstract class AbstractDataContainer<T extends Entity> implements DataContainer<T> {
    /**
     * Construct a new AbstractDataContainer. 
     * 
     */
    public AbstractDataContainer() {
        super();

        DataContainerProvider.getInstance().addContainer(this);
    }
    
    /**
     * Remove the data container from the data container provider. 
     */
    @PreDestroy
    public void close(){
        DataContainerProvider.getInstance().removeContainer(this);
    }
}