package org.jtheque.core.managers.skin;

import java.io.File;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @author Baptiste Wicht
 */
public interface Skin {
    /**
     * Indicates if the look and feel is a theme pack or not.
     *
     * @return <code>true</code> if the look and feel is a theme pack, else return <code>false</code>
     */
    boolean isThemePack();

    /**
     * Return the name of the look and feel.
     *
     * @return The name
     */
    String getName();

    /**
     * Return the class name of the look and feel.
     *
     * @return The class name
     */
    String getClassName();

    /**
     * Return the file of the skin.
     *
     * @return The file representing the skin.
     *
     * @throws UnsupportedOperationException If the skin isn't a themepack. 
     */
    File getFile();
}
