package org.jtheque.core.managers.view.impl.actions.utils;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jdesktop.swingx.hyperlink.LinkAction;

import javax.swing.Action;

/**
 * Action on a link.
 *
 * @author Baptiste Wicht
 */
public abstract class AbstractLinkAction extends LinkAction<String> {
    private static final long serialVersionUID = 730146203910082862L;

    /**
     * Construct a new AbstractLinkAction for a specific link.
     *
     * @param link The link to open when the action is called.
     */
    public AbstractLinkAction(String link) {
        super(link);
    }

    /**
     * Set the text.
     *
     * @param text The text.
     */
    final void setText(String text) {
        putValue(Action.NAME, text);
    }
}